Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class TimestampScanner

    java.lang.Object
      org.jboss.seam.deployment.AbstractScanner
          org.jboss.seam.deployment.ForwardingAbstractScanner
              org.jboss.seam.deployment.TimestampScanner

All Implemented Interfaces:
  Scanner

    public abstract class TimestampScanner

extends ForwardingAbstractScanner

A no-op version of the URLScanner that merely returns whether the deployment handler would in fact handle this file. It does not process the file in any way. This allows us to use this scanner for timestamp checking.

Author:
  Dan Allen

Field Summary

Fields inherited from class org.jboss.seam.deployment.AbstractScanner
`servletContext`

Constructor Summary
`TimestampScanner()` Deprecated.
`TimestampScanner(javax.servlet.ServletContext servletContext)`

Method Summary
`protected boolean` | `handle(String name)`

Methods inherited from class org.jboss.seam.deployment.ForwardingAbstractScanner
`delegate, equals, getDeploymentStrategy, getTimestamp, hashCode, scanDirectories, scanResources, toString`

Methods inherited from class org.jboss.seam.deployment.AbstractScanner
`handleItem, hasAnnotations, loadClassFile, scanDirectories`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimestampScanner

    @Deprecated
    public TimestampScanner()

  Deprecated.

### TimestampScanner

    public TimestampScanner(javax.servlet.ServletContext servletContext)

Method Detail

### handle

    protected boolean handle(String name)

  Overrides:
    `handle` in class `ForwardingAbstractScanner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.